Error with mvn verify on v9 - breeze-9.6.2

175 views
Skip to first unread message

Nicolas Micoud

unread,
Jul 12, 2022, 9:02:17 AMJul 12
to iDempiere
Hi,
I've just updated my local source to latest v9 and when trying to execute mvn -verify, I got the following error :

[ERROR] Failed to execute goal org.apache.maven.plugins:maven-dependency-plugin:3.1.1:copy (default) on project org.idempiere.zk.extra: Unable to find/resolve artifact.: Failed to read artifact descriptor for org.zkoss.theme:breeze:jar:9.6.2: Could not transfer artifact org.zkoss.theme:breeze:pom:9.6.2 from/to idempiere-zkoss (https://idempiere.github.io/binary.file/maven.zk/): Transfer failed for https://idempiere.github.io/binary.file/maven.zk/org/zkoss/theme/breeze/9.6.2/breeze-9.6.2.pom: peer not authenticated -> [Help 1]

Any idea ?

Thanks,

Nicolas

Nicolas Micoud

unread,
Jul 13, 2022, 12:53:45 AMJul 13
to iDempiere
Hi,

Same error today and it also appears on master branch.
Am I the only one facing it ?

Thanks,

Nicolas

Heng Sin Low

unread,
Jul 13, 2022, 1:49:20 AMJul 13
to idem...@googlegroups.com
just tested with master branch, works fine for me.

--
You received this message because you are subscribed to the Google Groups "iDempiere" group.
To unsubscribe from this group and stop receiving emails from it, send an email to idempiere+...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/idempiere/81410a8f-6362-4bf3-9e24-312b58c9fea7n%40googlegroups.com.

Mouadh Zidi

unread,
Jul 13, 2022, 2:27:28 AMJul 13
to idem...@googlegroups.com
do you have a work on it ? why you don't restart for the beginning ?

ZIDI Mouadh

Software Engineer

IT

TMKiiN Dev

mouad...@gmail.com

00216 25 919 573

Oumaima building, Beb Bhar Gabes, 4th floor

 


Nicolas Micoud

unread,
Jul 13, 2022, 2:54:47 AMJul 13
to iDempiere
Just tested with a fresh install (git clone + mvn verify) and still got the same error.


2022-07-13 08_44_35-Invite de commandes.png

What I don't understand is the "peer non authenticated".

nb: For test purpose, I tried to remove org.zkoss.theme and org.zkoss.theme from org.idempiere.zk.extra\pom.xml, but mvn verify still fails as lib/breeze.jar and lib/iceblue_c.jar are not downloaded

Mouadh Zidi

unread,
Jul 13, 2022, 3:08:17 AMJul 13
to idem...@googlegroups.com
let's do together 

Heng Sin Low

unread,
Jul 13, 2022, 3:09:42 AMJul 13
to idem...@googlegroups.com

Mouadh Zidi

unread,
Jul 13, 2022, 3:12:41 AMJul 13
to idem...@googlegroups.com
try to fix the maven and java version 
it's should be : 

image.png

Nicolas Micoud

unread,
Jul 13, 2022, 3:55:59 AMJul 13
to iDempiere
Hi,

Issue fixed, is was indeed related to maven cache.
I've rename .m2\repository to .m2\repository_old and then re execute a mvn verify.
All stuff was downloaded and this time, it worked well !

BTW, Carlos said to use Eclipse 2022-03 here: https://groups.google.com/g/idempiere/c/9AHzBShyp3c/m/tabex2IFAQAJ ; but recommanded version on the wiki (https://wiki.idempiere.org/en/Install_Development_Prerequisites) is still 2021-12. So what version should we use?

Thanks

Nicolas

Heng Sin Low

unread,
Jul 13, 2022, 4:05:35 AMJul 13
to idem...@googlegroups.com
lol, I'm using 2022-06. I'm not sure about 2021-12 but 2022-03 should work just fine.

Nicolas Micoud

unread,
Jul 13, 2022, 4:11:07 AMJul 13
to iDempiere
2021-09 here :D
Ok, planning to update to 2022-06
Thanks

Martin Schönbeck

unread,
Jul 29, 2022, 5:36:02 PMJul 29
to iDempiere
Hi,

after resolving the 'peer not authenticated' problem I now get this error:
[ERROR] Failed to resolve target definition file:/C:/d/idempiere.git/org.idempiere.p2.targetplatform/org.idempiere.p2.targetplatform.target: Failed to load p2 metadata repository from location https://sourceforge.net/projects/jasperstudio/files/updatesite/6.17.0: Unable to read repository at https://sourceforge.net/projects/jasperstudio/files/updatesite/6.17.0/site.xml. Received fatal alert: handshake_failure -> [Help 1]

reproducable on several branches and trunk.
Any ideas?
Regards,
Martin

Martin Schönbeck

unread,
Aug 2, 2022, 2:45:22 PMAug 2
to iDempiere
Hi,
Martin Schönbeck schrieb am Freitag, 29. Juli 2022 um 23:36:02 UTC+2:
Hi,

after resolving the 'peer not authenticated' problem I now get this error:
[ERROR] Failed to resolve target definition file:/C:/d/idempiere.git/org.idempiere.p2.targetplatform/org.idempiere.p2.targetplatform.target: Failed to load p2 metadata repository from location https://sourceforge.net/projects/jasperstudio/files/updatesite/6.17.0: Unable to read repository at https://sourceforge.net/projects/jasperstudio/files/updatesite/6.17.0/site.xml. Received fatal alert: handshake_failure -> [Help 1]

reproducable on several branches and trunk.
Any ideas?
Regards,
Martin

Nobody an idea about this?

Regards,
Martin

Heng Sin Low

unread,
Aug 2, 2022, 3:29:25 PMAug 2
to idem...@googlegroups.com
try removing your ~/.m2 folder.

--
You received this message because you are subscribed to the Google Groups "iDempiere" group.
To unsubscribe from this group and stop receiving emails from it, send an email to idempiere+...@googlegroups.com.

Martin Schönbeck

unread,
Aug 2, 2022, 4:10:52 PMAug 2
to iDempiere
Hi Hengsin,

that was the way I got around the 'peer not authenticated' problem (as the others here, too), but then arose the described problem with jasper.

Regards,
Martin

Heng Sin Low

unread,
Aug 2, 2022, 6:00:25 PMAug 2
to idem...@googlegroups.com
ic, will check whether I can reproduce this.


Heng Sin Low

unread,
Aug 3, 2022, 2:55:24 AMAug 3
to idem...@googlegroups.com
Hi Martin,

I can't reproduce that with a freshly clone v9 source (tested with ~/.m2 deleted).

Apache Maven 3.8.4, Java version: 11.0.15

Martin Schönbeck

unread,
Aug 3, 2022, 10:00:28 AMAug 3
to iDempiere
Hi Hengsin,

for any reason it is moaning about https://sourceforge.net/projects/jasperstudio/files/updatesite/6.17.0/site.xml
If call this with a wget I get a 404 error. I have no idea, why it is looking for this xml file.
Tested with maven 3.8.4 and 3.8.6,  openjdk 17.0.1 2021-10-19 LTS on Windows 10

Carlos Antonio Ruiz Gomez

unread,
Aug 4, 2022, 4:56:31 AMAug 4
to idem...@googlegroups.com

> Tested with maven 3.8.4 and 3.8.6,  openjdk 17.0.1 2021-10-19 LTS on Windows 10

I've never tried to compile with java 17, can you test with java 11?

Effectively the file https://sourceforge.net/projects/jasperstudio/files/updatesite/6.17.0/site.xml doesn't exist.

From what I see in that repository the site.xml file existed until version 6.14.0 - after 6.15.0 the file doesn't exist anymore and the repository looks like a normal p2 repo.

Regards,

Carlos Ruiz



El 3/8/22 a las 16:00, Martin Schönbeck escribió:

Martin Schönbeck

unread,
Aug 4, 2022, 4:51:06 PMAug 4
to iDempiere
Hi Carlos,

I have removed java17 from path, another program had added this, so now the previously used version should be in use. It says openjdk 11 2018-09-25. But result is the same. I'm not sure whether it is remarkable that I'm using windows for this, not linux.

Regards,
Martin

Heng Sin Low

unread,
Aug 4, 2022, 5:00:27 PMAug 4
to idem...@googlegroups.com
Is this a vanilla v9 source ? If not, have you tested building that on your machine ? 

--
You received this message because you are subscribed to the Google Groups "iDempiere" group.
To unsubscribe from this group and stop receiving emails from it, send an email to idempiere+...@googlegroups.com.

Martin Schönbeck

unread,
Aug 4, 2022, 5:04:30 PMAug 4
to iDempiere
Hi Hengsin,

I didn't test with a vanilla v9 but with vanilla trunk (v10). If you think this may make a difference I'll try vanilla v9, too.

Regards,
Martin

Heng Sin Low

unread,
Aug 4, 2022, 6:01:47 PMAug 4
to idem...@googlegroups.com
no, since I can't reproduce, just to confirm we are testing using exactly the same source.

Martin Schönbeck

unread,
Aug 7, 2022, 3:02:03 PMAug 7
to iDempiere
Hi,

after having luck coming beyond the jaspersoft problem I again ran into the 'peer not authenticated' problem of the first posting. So I did several retries. May be a problem with mirrors. When I again hung with the jaspersoft problem I did nothing for several hours. Now, without any change, I got beyound this problem and now hang with a 'transfer failed for https://repo.opennms.org/maven2/org/eclipse/jetty/tests/jetty-http-tools/10.0.9/jetty-http-tools-10.0.9.pom'. I'll try again later.

Regards,
Martin

Armen Hovhannisyan

unread,
Aug 8, 2022, 8:55:39 AMAug 8
to iDempiere
Hi,
it looks like something is wrong with sourceforge.net ?

$ mvn verify -U
[INFO] Scanning for projects...
[INFO] Resolving target definition file:~/iDempiere/org.idempiere.p2.targetplatform/org.idempiere.p2.targetplatform.target for environments=[linux/gtk/x86_64, win32/win32/x86_64, macosx/cocoa/x86_64], include source mode=honor, execution environment=StandardEEResolutionHints [executionEnvironment=OSGi profile 'JavaSE-11' { source level: 11, target level: 11}], remote p2 repository options=org.eclipse.tycho.p2.remote.RemoteAgent@4e614370...
SLF4J: Failed to load class "org.slf4j.impl.StaticLoggerBinder".
SLF4J: Defaulting to no-operation (NOP) logger implementation
SLF4J: See http://www.slf4j.org/codes.html#StaticLoggerBinder for further details.
[ERROR] Failed to resolve target definition file:~/iDempiere/org.idempiere.p2.targetplatform/org.idempiere.p2.targetplatform.target: Failed to load p2 metadata repository from location https://sourceforge.net/projects/jasperstudio/files/updatesite/6.17.0/: No repository found at https://sourceforge.net/projects/jasperstudio/files/updatesite/6.17.0. -> [Help 1]
[ERROR]
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR]
[ERROR] For more information about the errors and possible solutions, please read the following articles:
[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/MavenExecutionException

Armen Hovhannisyan

unread,
Aug 9, 2022, 4:31:14 AMAug 9
to iDempiere
Hi,
After several unsuccessful attempts, everything worked today (on master branch).

Reply all
Reply to author
Forward
0 new messages